Обсуждение Inno Setup 6

Как вам Inno Setup 6?


  • Всего проголосовало
    21

Leserg

Новичок
Проверенный
версии ниже 6.0.5 будут пересобраны с учетом исправления?
Не планировал этого делать. Версия 6.0.5 последняя из ветки 6.0.0. Дальше уже пошло развитие 6.1.0. Зачем нужно понижение версии? Да, версия 6.0.5 не поддерживает ХР и Висту. С версии 6.1.0 поддержку Висты вернули, но я думаю не надолго.

У меня вылетает ошибка при выгрузке ресурса из RawDataResource
Неверный формат параметра RawDataResource. Я ранее писал, что в моей редакции имеются некоторые отличия от Restools и предлагал ознакомиться с примерами. Они поставляются в архиве вместе с другими файлами (IS6.0.5FullVclMod.rar). В данном случае смотрите пример Example_RawDataResource.iss.

У вас записано (такой формат записи использует Restools):
RawDataResource=Botva:botva2.dll|b2p:b2p.dll|WMSI:WMSI.png

В моей редакции следует записывать так:
RawDataResource=Botva>botva2.dll,b2p>b2p.dll,WMSI>WMSI.png

Формат параметра RawDataResource:
RawDataResource=RDResName1>RDFileName1,RDResName2>RDFileName2,..RDResNameN>RDFileNameN,
где RDResName - имя ресурса;
RDFileName - файл ресурса.
 

Andreo Fadio

Новичок
Дальше уже пошло развитие 6.1.0. Зачем нужно понижение версии?
Чтобы выбор был, для пользователей. :)
Хотя бы версию 6.0.4.2 (отличий там не много от 6.0.5) с поддержкой старых систем и исправлением расположения.

P.S. да и не думается, что пользователи так рьяно используют новые версии inno setup. Так что забрасывать не стоит, что-то уж не такое старое гонясь за новым. А исправление багов всегда приятно. :)
 
Последнее редактирование:

sergey3695

Ветеран
Модератор
Зачем нужно понижение версии?
Иногда требуется собрать установочный пакет для старых приложений времен xp и vista. Я 6.0.5 выбрал, т.к. просто хотел глянуть нововведения. Так что, да хотелось бы обнову именно под 6.0.4.2 +
 

Leserg

Новичок
Проверенный
а как насчет аналога TreeViewStyle и флага Collapsed?
К сожалению, никак. Я не знаю как это сделать. :unknown:

Иногда требуется собрать установочный пакет для старых приложений времен xp и vista.
Собрал Inno Setup 6.0.5 с поддержкой Windows XP и Vista.
Только учтите, что поддержка ХР не полная. Inno Setup 6 изначально не поддерживает ХР, и связано это с использованием функций из библиотеки Comctl32.dll (version 6), которых нет в ХР. Моя поддержка ХР заключается только в возможности работы Inno Setup 6 и компиляции инсталляторов на системах с ХР. Плюс еще имеются функции административного характера, которых нет в ХР. По нормальному, для полной поддержки XP, нужно все эти функции эмулировать и подменять.
 

El Sanchez

Новичок
К сожалению, никак. Я не знаю как это сделать.
Могу сделать.
связано это с использованием функций из библиотеки Comctl32.dll (version 6), которых нет в ХР
В XP есть версия 6.0, подключается через манифест приложения, речь про 6.1.
Есть одно предложение
В топку. В коротких наименованиях параметров можно запутаться, что к чему относится, длинные имеют "говорящие" названия. А удаление приставки _isN это из разряда не знаю зачем так сделано, но удалю. Такая буквенно-цифровая приставка нужна если есть необходимость в установке одного и того же приложения на одной машине в разные расположения. Будут 2 разные регистрации деинсталлятора в реестре, каждый из которых удаляет свой конкретный экземпляр приложения. А так второй экземпляр перезапишет регистрацию первого и будет удалять только себя.
 
Сверху